GreatWksGraphInternal::FrameText Struct Reference documentation

GreatWksGraphInternal::FrameText Struct Referencefinal

Internal: the text zone of a GreatWksGraph. More...

Inheritance diagram for GreatWksGraphInternal::FrameText:

## Public Member Functions
| FrameText (Frame const &frame)
| constructor
| ~FrameText () final
| destructor
Type | getType () const final
| return the frame type
void | print (std::ostream &o) const final
| print funtion
MWAWGraphicStyle | getStyle (MWAWGraphicStyle const &zoneStyle) const
| return the text style
bool | hasTransform () const
| return true if the has some transforms.
Public Member Functions inherited from GreatWksGraphInternal::Frame
| Frame ()
| constructor
| Frame (Frame const &)=default
virtual | ~Frame ()
| destructor

## Public Attributes
MWAWEntry | m_entry
| the text entry
bool | m_flip [2]
| two bool to know if we must flip x or y
int | m_rotate
| the rotate angle
Public Attributes inherited from GreatWksGraphInternal::Frame
int | m_type
| the zone type
int | m_styleId
| the style identifier
int | m_parent
| the parent identifier
int | m_order
| the z order
long | m_dataSize
| the data size ( if know)
MWAWBox2f | m_box
| the zone bdbox
int | m_page
| the page
std::string | m_extra
| extra data
bool | m_parsed
| true if the frame is send

## Additional Inherited Members
Public Types inherited from GreatWksGraphInternal::Frame
enum | Type { T_BAD , T_BASIC , T_GROUP , T_PICTURE , T_TEXT , T_DBFIELD , T_UNSET }
| the frame type More...

## Detailed Description

Internal: the text zone of a GreatWksGraph.

## Constructor & Destructor Documentation

## ◆ FrameText()

GreatWksGraphInternal::FrameText::FrameText | ( | Frame const & | frame | ) |
| inlineexplicit

constructor

## ◆ ~FrameText()

GreatWksGraphInternal::FrameText::~FrameText | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ getStyle()

MWAWGraphicStyle GreatWksGraphInternal::FrameText::getStyle | ( | MWAWGraphicStyle const & | zoneStyle | ) | const
| inline

return the text style

Referenced by GreatWksGraph::sendTextboxAsGraphic().

## ◆ getType()

Type GreatWksGraphInternal::FrameText::getType | ( |  | ) | const
| inlinefinalvirtual

return the frame type

Reimplemented from GreatWksGraphInternal::Frame.

Referenced by getType().

## ◆ hasTransform()

bool GreatWksGraphInternal::FrameText::hasTransform | ( |  | ) | const
| inline

return true if the has some transforms.

Note
  as we have no way to retrieve mirror, we consider only rotation here

Referenced by GreatWksGraph::sendTextbox().

## ◆ print()

void GreatWksGraphInternal::FrameText::print | ( | std::ostream & | o | ) | const
| inlinefinalvirtual

print funtion

Reimplemented from GreatWksGraphInternal::Frame.

## Member Data Documentation

## ◆ m_entry

MWAWEntry GreatWksGraphInternal::FrameText::m_entry

the text entry

Referenced by FrameText(), print(), GreatWksGraph::readFrameExtraData(), GreatWksGraph::sendTextbox(), and GreatWksGraph::sendTextboxAsGraphic().

## ◆ m_flip

bool GreatWksGraphInternal::FrameText::m_flip[2]

two bool to know if we must flip x or y

Referenced by FrameText(), getStyle(), hasTransform(), and print().

## ◆ m_rotate

int GreatWksGraphInternal::FrameText::m_rotate

the rotate angle

Referenced by FrameText(), getStyle(), hasTransform(), print(), and GreatWksGraph::sendTextboxAsGraphic().

The documentation for this struct was generated from the following file:

- GreatWksGraph.cxx